# 视频处理
module AliyunVod::Service::VideoProcess
  # 提交媒体截图作业
  def submit_snapshot_job(video_id, **opts)
    params = {
      Action: 'SubmitSnapshotJob',
      VideoId: video_id
    }.merge(base_params)
    params = opts.merge(params)

    result = request(:post, params)

    raise AliyunVod::Error, '提交媒体截图作业失败' if result['SnapshotJob'].blank?

    result
  end
end